Wireshark-dev: Re: [Wireshark-dev] problem with plugin
From: Anders Broman <[email protected]>
Date: Tue, 30 Mar 2010 11:00:14 +0200
Hi,
A plugin is only guaranteed to work if it is compiled against the same version of Wireshark as the one the user has.
e.g if you put the plugin in WS 1.2.6 you must have used the 1.2.6 version when you compiled the plugin using MSVC9.
/Anders 
________________________________________
From: [email protected] [[email protected]] On Behalf Of Rajesh P S [[email protected]]
Sent: Tuesday, March 30, 2010 10:52 AM
To: Developer support list for Wireshark
Subject: Re: [Wireshark-dev] problem with plugin

No. It works fine if I run it from Wireshark-gtk2/Wireshark.exe. If I download wireshark setup from wireshark.org , and after installing it , if I place my .dll file into C:\Program Files\Wireshark\plugins I am facing this problem. Please help me out in this.

On Tue, Mar 30, 2010 at 12:59 PM, Guy Harris <[email protected]<mailto:[email protected]>> wrote:

On Mar 30, 2010, at 12:27 AM, Rajesh P S wrote:

> I have developed a wrieshark plugin and now I need to make it available for others to use the plugin.
> If I blindly share the plugin.dll file, it is not possible for others to use the plugin straight forward by putting that DLL file in the destination PC\program files\wireshark\plugins\. After  placing  the .dll file into plugins folder, if I click on the packets belonging to other protocol say HTTP,UDP  it works fine. if I click on the packets of my protocol , then application crashes.

Sounds like a bug in your plugin.  You might need to run Wireshark inside a debugger to find where the bug is.
___________________________________________________________________________
Sent via:    Wireshark-dev mailing list <[email protected]<mailto:[email protected]>>
Archives:    http://www.wireshark.org/lists/wireshark-dev
Unsubscribe: https://wireshark.org/mailman/options/wireshark-dev
            mailto:[email protected]<mailto:[email protected]>?subject=unsubscribe